# Property.Id (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Enum Property.Id

- java.lang.Object
- - java.lang.Enum<Property.Id>
  - - net.fortuna.ical4j.vcard.Property.Id

All Implemented Interfaces:
  Serializable, Comparable<Property.Id>

Enclosing class:
  Property

    public static enum Property.Id
    extends Enum<Property.Id>

Enumeration of property identifiers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADR`
`AGENT`
`BDAY`
`BIRTH`
`CALADRURI`
`CALURI`
`CATEGORIES`
`CLASS`
`DDAY`
`DEATH`
`EMAIL`
`EXTENDED`
`FBURL`
`FN`
`GENDER`
`GEO`
`IMPP`
`KEY`
`KIND`
`LABEL`
`LANG`
`LOGO`
`MEMBER`
`N`
`NAME`
`NICKNAME`
`NOTE`
`ORG`
`PHOTO`
`PRODID`
`RELATED`
`REV`
`ROLE`
`SORT_STRING`
`SOUND`
`SOURCE`
`TEL`
`TITLE`
`TZ`
`UID`
`URL`
`VERSION`

### Method Summary

Methods
`String` `getPropertyName()`
`static Property.Id` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Property.Id[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SOURCE

    public static final Property.Id SOURCE

#### NAME

    public static final Property.Id NAME

#### KIND

    public static final Property.Id KIND

#### FN

    public static final Property.Id FN

#### N

    public static final Property.Id N

#### NICKNAME

    public static final Property.Id NICKNAME

#### PHOTO

    public static final Property.Id PHOTO

#### BDAY

    public static final Property.Id BDAY

#### DDAY

    public static final Property.Id DDAY

#### BIRTH

    public static final Property.Id BIRTH

#### DEATH

    public static final Property.Id DEATH

#### GENDER

    public static final Property.Id GENDER

#### ADR

    public static final Property.Id ADR

#### LABEL

    public static final Property.Id LABEL

#### TEL

    public static final Property.Id TEL

#### EMAIL

    public static final Property.Id EMAIL

#### IMPP

    public static final Property.Id IMPP

#### LANG

    public static final Property.Id LANG

#### TZ

    public static final Property.Id TZ

#### GEO

    public static final Property.Id GEO

#### TITLE

    public static final Property.Id TITLE

#### ROLE

    public static final Property.Id ROLE

#### LOGO

    public static final Property.Id LOGO

#### AGENT

    public static final Property.Id AGENT

#### ORG

    public static final Property.Id ORG

#### MEMBER

    public static final Property.Id MEMBER

#### RELATED

    public static final Property.Id RELATED

#### CATEGORIES

    public static final Property.Id CATEGORIES

#### NOTE

    public static final Property.Id NOTE

#### PRODID

    public static final Property.Id PRODID

#### REV

    public static final Property.Id REV

#### SORT_STRING

    public static final Property.Id SORT_STRING

#### SOUND

    public static final Property.Id SOUND

#### UID

    public static final Property.Id UID

#### URL

    public static final Property.Id URL

#### VERSION

    public static final Property.Id VERSION

#### CLASS

    public static final Property.Id CLASS

#### KEY

    public static final Property.Id KEY

#### FBURL

    public static final Property.Id FBURL

#### CALADRURI

    public static final Property.Id CALADRURI

#### CALURI

    public static final Property.Id CALURI

#### EXTENDED

    public static final Property.Id EXTENDED

### Method Detail

#### values

    public static Property.Id[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Property.Id c : Property.Id.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Property.Id valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPropertyName

    public String getPropertyName()

Returns:
  the property name